Skip to navigation

Transfer a Domain

Beta

Transfers a custom domain from its current project to another project in the same store. The source project is the {project_uuid} in the path; the destination project is supplied in the request body. The destination project must differ from the source project.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

project_uuidstringRequiredformat: "uuid"
The UUID of the source project the domain is currently bound to.
domainstringRequired
The custom domain name to transfer.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
new_project_uuidstringRequiredformat: "uuid"
The UUID of the destination project to transfer the domain to. Must differ from the source project in the path.

Response

The domain was transferred successfully. No content is returned.

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error